"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  translations: true,
  AuthUIContextProvider: true,
  useInjectedUIContext: true,
  AuthUIInternalStore: true
};
Object.defineProperty(exports, "AuthUIContextProvider", {
  enumerable: true,
  get: function () {
    return _AuthUIContextProvider.AuthUIContextProvider;
  }
});
Object.defineProperty(exports, "AuthUIInternalStore", {
  enumerable: true,
  get: function () {
    return _AuthUIInternalStore.AuthUIInternalStore;
  }
});
exports.translations = void 0;
Object.defineProperty(exports, "useInjectedUIContext", {
  enumerable: true,
  get: function () {
    return _AuthUIContextProvider.useInjectedUIContext;
  }
});

var _translations = require("./data/translations");

var _constants = require("./constants");

Object.keys(_constants).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _constants[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _constants[key];
    }
  });
});

var _AccountUIContext = require("./contexts/AccountUIContext");

Object.keys(_AccountUIContext).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _AccountUIContext[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _AccountUIContext[key];
    }
  });
});

var _SecurityContextProvider = require("./contexts/SecurityContextProvider");

Object.keys(_SecurityContextProvider).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _SecurityContextProvider[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _SecurityContextProvider[key];
    }
  });
});

var _AuthUIContextProvider = require("./contexts/AuthUIContextProvider");

var _RegistrationUIContext = require("./contexts/RegistrationUIContext");

Object.keys(_RegistrationUIContext).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _RegistrationUIContext[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _RegistrationUIContext[key];
    }
  });
});

var _TransitState = require("./contexts/TransitState");

Object.keys(_TransitState).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _TransitState[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _TransitState[key];
    }
  });
});

var _hooks = require("./hooks");

Object.keys(_hooks).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _hooks[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _hooks[key];
    }
  });
});

var _lib = require("./lib");

Object.keys(_lib).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _lib[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _lib[key];
    }
  });
});

var _AuthUIInternalStore = require("./stores/AuthUIInternalStore");

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});

var _parseTextForJSX = require("./helpers/parseTextForJSX");

Object.keys(_parseTextForJSX).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _parseTextForJSX[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _parseTextForJSX[key];
    }
  });
});

/**
 Copyright (c) 2021-present, Eaton

 All rights reserved.

 This code is licensed under the BSD-3 license found in the LICENSE file in the root directory of this source tree and at https://opensource.org/licenses/BSD-3-Clause.
 **/

/**
 * General docs
 *
 * @packageDocumentation
 * @module  @etn-sst/react-native-auth-ui
 * @preferred
 */
const translations = {
  english: _translations.english,
  french: _translations.french,
  spanish: _translations.spanish,
  chinese: _translations.chinese,
  portuguese: _translations.portuguese
};
exports.translations = translations;
//# sourceMappingURL=index.js.map